;Filename: SpiWr.s
;Part    : ADuC703x.
;Created : 14/04/2006
;Author  : Patrick Noonan (Analog Device Inc.)
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        <ADuC7030.inc>

; SpiWr==========SPI data write.
; C Function prototype: int SpiWr(int iTx);
;iTx:{}
; Description of Function: Writes 8 bits of iTx to the SPI
;  for transmission.
; User interface:
;  Put value to send in iTx.
;  Call SpiWr
;  Returns 1 if successful
; Robustness:
;  SPI must be configured before writing data.

                RSEG CODE
                MODULE SpiWr
                PUBLIC SpiWr
                CODE32

SpiWr:   mov      r3,#0xff0000         ;r3 = Z_BASE;
         orr      r3,r3,#0xff000000
         str      r0,[r3,#Z_SPITX]     ;Write to SPITX
         mov      r0,#0x01             ;Return 1;
         bx       lr


                 ENDMOD  SpiWr

                 END

